Try ERPNext Buy Support Partners Foundation

$ bench build An Error occurred while downloading assets

$ bench build
An Error occurred while downloading assets…

In ERPNext Version 13 while updates.

1 Like

+1 me too

Facing the same error too
Migrating jaydonline.co.ke
Updating DocTypes for frappe : [========================================] 100%
Updating DocTypes for erpnext : [========================================] 100%
Updating Dashboard for frappe
Updating Dashboard for erpnext
Updating customizations for Address
Updating customizations for Contact
Building search index for jaydonline.co.ke
Compiling Python files…
$ bench build
*

An Error occurred while downloading assets…

yarn run v1.21.1
$ FRAPPE_ENV=production node rollup/build.js
Production mode
:heavy_check_mark: Built js/moment-bundle.min.js
:heavy_check_mark: Built js/libs.min.js

My version.

 ERPNext: v13.0.0-beta.5
 Frappe Framework: v13.0.0-beta.6

I am also facing the same.

Since Version 13 (via #11436), assets can be downloaded if they are available on GitHub releases or http://assets.frappeframework.com. This means Frappe tries downloading assets first to avoid having to build them itself. These errors come up if you’re running on an untagged commit of a stable branch, ie only version-13-beta at the moment, or a custom branch (not develop).

There’s another scenario where your clones might’ve in the middle of releases, or that commits are added over the stable branches without releases that can cause this error to come up. However, this is a harmless error and just means your server will have to build its own assets instead of having to depend on pre-built bundles.